import com.ms.wfc.app.*;
import com.ms.wfc.core.*;
import com.ms.wfc.ui.*;
import com.ms.wfc.html.*;

/*
LPTPort sample
Copyright (c) 1997-2004 Hai Li, Zeal SoftStudio.
E-Mail:support@zealsoft.com
http://www.zealsoft.com
This sample illustrates how to use NTPort Library to get LPT ports address.
*/

/**
 * This class can take a variable number of parameters on the command
 * line. Program execution begins with the main() method. The class
 * constructor is not invoked unless an object of type 'Form1' is
 * created in the main() method.
 */
public class Form1 extends Form
{
	public Form1()
	{
		// Required for Visual J++ Form Designer support
		initForm();		

		// TODO: Add any constructor code after initForm call
		// After register NTPort Library,
		// place your registration information here.
		NTPort.LicenseInfo("Your Name", 0);
	}

	/**
	 * Form1 overrides dispose so it can clean up the
	 * component list.
	 */
	public void dispose()
	{
		super.dispose();
		components.dispose();
	}


	private void btnGet_click(Object source, Event e)
	{
		short i, nAddress;
		int nError;
		String s;
    
		listBox1.removeAll();
		for(i = 1; i <= 3; i++)
		{
		    nAddress = NTPort.GetLPTPortAddress(i);
		    nError =  NTPort.GetLastState(null);
		    if(nAddress != 0)
		        s =  "LPT" + String.valueOf(i) + ": 0x" + Integer.toHexString(nAddress);
		    else if(nError != 0)
		        s = "LPT" + String.valueOf(i) + ": Error";
		    else
		        s = "LPT"  + String.valueOf(i) + ": absent";
			listBox1.addItem(s);
		}
	}

	/**
	 * NOTE: The following code is required by the Visual J++ form
	 * designer.  It can be modified using the form editor.  Do not
	 * modify it using the code editor.
	 */
	Container components = new Container();
	Label label1 = new Label();
	ListBox listBox1 = new ListBox();
	Button btnGet = new Button();
	Label label2 = new Label();

	private void initForm()
	{
		this.setText("LPTPort Test");
		this.setAutoScaleBaseSize(new Point(6, 12));
		this.setClientSize(new Point(297, 232));
		this.setMaximizeBox(false);
		this.setMinimizeBox(false);

		label1.setLocation(new Point(8, 16));
		label1.setSize(new Point(96, 16));
		label1.setTabIndex(0);
		label1.setTabStop(false);
		label1.setText("LPT Ports:");

		listBox1.setLocation(new Point(8, 40));
		listBox1.setSize(new Point(184, 160));
		listBox1.setTabIndex(1);
		listBox1.setText("listBox1");
		listBox1.setUseTabStops(true);

		btnGet.setLocation(new Point(208, 16));
		btnGet.setSize(new Point(72, 24));
		btnGet.setTabIndex(2);
		btnGet.setText("Get");
		btnGet.addOnClick(new EventHandler(this.btnGet_click));

		label2.setLocation(new Point(8, 208));
		label2.setSize(new Point(280, 16));
		label2.setTabIndex(3);
		label2.setTabStop(false);
		label2.setText("Copyright (c) 1997-2004 Zeal SoftStudio.");

		this.setNewControls(new Control[] {
							label2, 
							btnGet, 
							listBox1, 
							label1});
	}

	/**
	 * The main entry point for the application. 
	 *
	 * @param args Array of parameters passed to the application
	 * via the command line.
	 */
	public static void main(String args[])
	{
		Application.run(new Form1());
	}
}
