/*
NTPort Library
Copyright (c) 1997-2004 Hai Li, Zeal SoftStudio.
E-Mail: support@zealsoft.com
Web: http://www.zealsoft.com
*/

public class NTPort
{
	// Returns a value indicating the last operation is successful or not.
	/** @dll.import("Ntport.dll", ansi) */
	public native static int GetLastState(StringBuffer s);

	// Enable your application to read or write specific ports.
	/** @dll.import("Ntport.dll", ansi) */
	public native static void EnablePorts(short PortStart, short PortStop);

	// Disable your application to read or write specific ports.
	/** @dll.import("Ntport.dll", ansi) */
	public native static void DisablePorts(short PortStart, short PortStop);

	// Returns a value indicates whether the application is running under Windows NT/2000 system.
	/** @dll.import("Ntport.dll", ansi) */
	public native static boolean IsWinNT();

	// Returns a value from specific ports.
	/** @dll.import("Ntport.dll", ansi) */
	public native static short Inp(short PortNum);
	/** @dll.import("Ntport.dll", ansi) */
	public native static short Inport(short PortNum);
	/** @dll.import("Ntport.dll", ansi) */
	public native static short Inpw(short PortNum);
	/** @dll.import("Ntport.dll", ansi) */
	public native static short InportW(short PortNum);
	/** @dll.import("Ntport.dll", ansi) */
	public native static int Inpd(short PortNum);
	/** @dll.import("Ntport.dll", ansi) */
	public native static int InportD(short PortNum);

	// Write a value to specific ports.
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  Outp(short PortNum, short Data);
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  Outport(short PortNum, short Data);
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  Outpw(short PortNum, short Data);
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  OutportW(short PortNum, short Data);
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  Outpd(short PortNum, int Data);
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  OutportD(short PortNum, int Data);

	// Set the registration information.
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  LicenseInfo(String sUserName, int sKey);

	// Returns the version of NTPort Library.
	/** @dll.import("Ntport.dll", ansi) */
	public native static short  GetNTPortVersion();

	// Set the setting of fast mode
	/** @dll.import("Ntport.dll", ansi) */
	public native static void  SetFastMode(boolean bOption);

	// Get the current setting of fast mode
	/** @dll.import("Ntport.dll", ansi) */
	public native static boolean  GetFastMode();

	// Get the base address of LPT port
	/** @dll.import("Ntport.dll", ansi) */
	public native static short  GetLPTPortAddress(short PortNo);

	public static final int ERROR_NONE = 0;
	public static final int ERROR_DRIVER = 2;
	public static final int ERROR_SCM_CANT_CONNECT = 9998;

}
